Copyright: MMSoftware - 1996-98


Content

Please press the "Contents" button above.

The legal stuff:

Netscape is a registered trademark of Netscape Communications Corp. (http://www.netscape.com.)

Microsoft, Windows, Windows95 and Internet Explorer are either registered trademarks or trademarks of Microsoft

Corp.(http://www.microsoft.com) in the United States and/or other countries.

The HTML Reference Library is copyright by Stephen Le Hunte (http://subnet.virtual-pc.com/~le387818/).

Selfhtml is copyright by Stefan Münz (http://www.netzwelt.com/selfhtml/).

Other brandnames, company names or products mentioned are trademarks, registered trademarks, or tradenames of their respective holders.

Wilbur is copyright by the Web Design Group (WDG; http://www.htmlhelp.com/distribution/).


How to contact MMSoftware?

You are welcome to contact us when you run into problems or even find bugs, but please take the time to read the Troubleshooting section before! Further please let us know your operation system and the version number of 1-4-All. When reporting bugs or problems it's a good idea to attach your current 1-4-All's configuration file (*.ini in the "configs" folder) to the email.

Thank you!

Email: support@mmsoftware.com

MMSoftware on the WWW: http://www.mmsoftware.com

1-4-All product page: http://www.mmsoftware.com/14All/

(We speak english and german.)


Registration
Registering 1-4-All

Good idea!

1-4-All is distributed as shareware. Feel free to test this program during the 60-days evaluation period. If you would like to use 1-4-All afterwards, you have to register.

The registered version of 1-4-All removes the nag-screen on program startup. Registration of the current version of 1-4-All includes all following versions 2.x.

Please note: The program is not being shipped. On Registration you will receive a registration key  by either e-mail or postal mail that removes the limitations of the shareware version.

Registration fees:

Single User License for private users, educational

institutions and non-profit organizations	US$ 30

Single User License for commercial users	US$ 90

Site License for private users, educational institutions

and non-profit organizations	US$ 600

Site License for commercial users	US$ 1500

World-wide License for private users, educational

institutions and non-profit organizations  	US$ 2400

World-wide License for commercial users 	US$ 5000

Pricing and upgrade policy:

All versions 2.x will be free upgrades for registered users.

We offer discounts for ordering multiple copies. Please enter the number of registration in the Register program to see the price calculated on the fly or contact us for details.

Site licenses cover a single organization for an area of up to one hundred miles (160 km) in radius. A world-wide license covers everyone in a single organization.

The price for 1-4-All was never raised and we do not plan to raise it in the future. Until today, all new versions were free upgrades for registered users. If we ever ask for an upgrade fee in the future (we don't plan to right now), it will not exceed 34% of the regular registration fee.

1-4-All is shareware and we have no plans to change this, nor are we interested in selling the application to another vendor, though there have been inquiries for this.

Registration procedure:

1-4-All is distributed as shareware, what means that we do not ship it. Instead you register the product and will then receive a registration key that you can enter into the application to remove the limitations of the evaluation version.

All orders are processed by KAGI, an excellent shareware registration service. Once KAGI receives your order and checked your billing information, they will inform us about your order and we will then send out your registration key by either Email or postal mail. You will receive a registration key within 2 to 4 business days.

Offline registrations:

1-4-All comes with an application called "Register.exe", which offers a simple way to register. Available payment methods are VISA, Master, American Express, Diners Club and Discover credit card, check, money order and invoice.

To use the Registration program, select "Help|Register Now..." from 1-4-All's main menu and enter your personal information, your payment method, the product you want to order, etc. in the dialogs. For further information about the Register application, please refer to the its helpfile

Online registrations:

Online registration using a major credit card is available through a secure order form and for users with older browsers, that do not support secure servers, through an insecure order form.

Secure order form: 	https://order.kagi.com/cgi-bin/register1.cgi?4C

Insecure order form:	http://order.kagi.com/cgi-bin/register1.cgi?4C

Online Registration with CompuServe:

At the time of writing we still offer registration through CompuServe's SWREG service, however this might change in the future. If you want to register via CompuServe's SWREG service you have to contact us in advance. If you don't contact us before registering, it is likely that your registration key will be delayed.

The latest information on registration is always available on the 1-4-All Homepage.


Introduction
Introduction to the 1-4-All HTML Editor

What's 1-4-All?

1-4-All is a tag-based, shareware HTML editor for 32-bit Windows. It will run on Windows 95 and Windows NT4.

HTML stands for Hypertext Markup Language, a set of reserved words and conventions for displaying text, graphics, sounds, etc. on the World Wide Web (WWW). You can use a standard editor, like Windows Notepad to create a HTML file, but most likely after a while you'll want HTML editing a bit more luxurious. Welcome to 1-4-All!

What isn't 1-4-All?

1-4-All will NOT teach you the HTML language, neither this help file, nor the program itself. There are a whole bunch of good books available on HTML and there are also some good online resources.

1-4-All comes with Wilbur, the Web Design Group's HTML 3.2 Reference help file that provides a quick overview of all HTML 3.2 elements, their attributes and brief descriptions.

If you are in need of a better external HTML help file, we personally recommend the "HTML Reference Library" by Stephen Le Hunte, a native Windows help file available at http://subnet.virtual-pc.com/~le387818/.

German speaking users might want to try the excellent "Selfhtml" by Stefan Münz. It is available at http://www.netzwelt.com/selfhtml/. We also offer a version of 1-4-All that comes with "Selfhtml" on our Homepage.

1-4-All supports your favorite external help file, but it has a tight support for the three HTML help documents named above (e.g. context sensitive jumps). Read more about external HTML helpfiles here.

1-4-All is not a WYSIWYG (What you see is what you get) editor. 1-4-All does not have converting abilities, e.g. RTF->HTML.

The basics of the 1-4-All HTML editor


The Basics

It's a good idea to read the troubleshooting section first, so if you ever run into a problem sometimes, you'll already know where to get the answer.

The following is a typical screenshot of the Editor (click on any region to get a further explanation):

On the right side of the window you see the edit field, the place where you type in your HTML code and text. Below the message window shows information like search results and error messages. On the left side the file viewer gives you easy access to all relevant files.

The upper part of the file viewer shows a directory tree (either in the old Windows 3.1 style or in the new Explorer style; you can set this in the General settings dialog).

Right under the directory tree you see the filelist of the current directory. You can right click on the filelist and determinate which files you want 1-4-All to show here (HTML files, Image files, Multimedia files and/or Backups).

For a better understand of 1-4-All's handling of file types which are shown in the editor, please refer to the extensions explanation.

By double clicking on a HTML file in the file viewer, it is loaded into the editor. Clicking on an image file will display the image.

The top of the main window is the place for the button panel. The left group of buttons call functions of the editor (e.g. cut, paste, project management or starting internal or external browsers for HTML viewing), while the right group holds a variety of buttons on tabbed pages that insert HTML code into the current document or open dialogs or wizards for HTML tag creation. These buttons are actually placed on a dockable button toolbar. Right click on the toolbar and select "Undock toolbar" to be able to move the toolbar where you  would like to see it.

The easiest way to create a tag in 1-4-All is by dragging and dropping a file from the file list on the left onto the edit window on the right. If you drag and drop a *.html file e.g., a complete link tag will be inserted at the drop point.

HTML editing is not just about creating tags, but also about editing existing tags. 1-4-All let's you edit the following existing tags through the standard dialogs: <TITLE>, <BODY>, <A HREF>, <A NAME>, <IMG>, <FONT>, <BASEFONT>, <FORM>

To use this feature just position the caret over a one of these tags, right click and select 'Edit this tag' from the menu. Alternatively you can press Ctrl-E when the caret is inside one of these tags.

One of the nicer features in 1-4-All is CodeQuick. CodeQuick gives you easy access to all tags, all attributes for a specific tag and all values for a specific attribute, including your recently used links, images and color values.

To end this short intro to the application, here are a few guidelines that you should follow:

-Do not use file or directory names with spaces. 1-4-All supports long filenames, but it will have problems with filename like 'my image.gif' or directories like 'html images'.

-If you use a function in the editor, it often is important if you selected some text before. For example, most of the "easy" tags, like <B>...</B> will only be inserted correctly, if you selected text before.

    Example: Selecting a text region in the edit window and pressing the Bold Face button.

 	Presenting 1-4-All. A  HTML editor that satisfies all your HTML authoring needs.

Presenting <B>1-4-All</B>. A  HTML editor that satisfies all your HTML authoring needs.

-Only files with extensions given in the General settings dialog are shown in the File Viewer on the left side of the main window. Use File|Settings|General settings|Additional options to add or delete extensions and refer to this explanation for further information, especially when you get double entries in the file list.

-If you chose 'Relative filepaths' in the General settings dialog, all linked HTML, image or other files will be linked with their relative paths to the currently opened document.

Example:

 	You are editing the file: C:\MyHtml\Homepage\index.html

You add a link to the file: C:\MyHtml\Homepage\Hobbies\Sailing\index.html

1-4-All will automatically insert the relative path to your file:

<A HREF="Hobbies/Sailing/index.html">...</A>

Although this relative referencing will most likely be suitable for most users, you can switch to absolute or no filepaths in the General settings dialog.


CodeQuick

1-4-All's CodeQuick feature gives you easy access to all tags, all attributes for a specific tag and all values for a specific attribute, including your recently used links, images and color values.

When CodeQuick is activated you will see a listbox that holds tags, attributes or values that would make sense at the current caret position. Tags, attributes or values that are supported by Netscape Navigator only are green, Internet Explorer specific tags, attributes and values are blue.

You can select a tag by scrolling in the listbox or by typing the beginning of a tag, e.g. in the above example typing "a" would make "aqua" the selected item. At this point just pressing "Return" insert this value into the document.

Pressing CTRL when selecting a tag (by pressing "Return" or by double-clicking on an item in the CodeQuick box) will insert the open tag only, but not the closing tag, e.g. just "<FONT >", instead of "<FONT ></FONT>".

To close the CodeQuick listbox press Escape or just ignore it until it closes itself.

You can configure CodeQuick in the General settings dialog.

When will the CodeQuick listbox pop up?

•	Whenever you press F8

If you have 1-4-All configured to use CodeQuick after a certain time (see General settings), the listbox will pop up after this time whenever 1-4-All thinks you need a tag, attribute or value, e.g.:

•	After you hit "<"

•	If you are inside a tag and enter a space

•	If you are behind an equality sign and enter a quote

When will the CodeQuick listbox close?

•	Whenever you close a tag with ">"

•	Whenever you enter a space or a quote

•	Whenever you selected a value from the listbox


Features of the 1-4-All HTML Editor

Clearly arranged, multi-document user interface

Other editors have a similar interface, but we did not clutter it up with rarely used gimmicks.

CodeQuick

Easy access to tags, attributes, values, recently used links, images and colors, plus information about tag support in Netscape Navigator and Internet Explorer.

Instant color coding

The color coding option makes it easy for you to distinguish HTML tags and text at first glance. Advanced color coding with different colors for links, images and anchors is also available. Color coding in 1-4-All works instantly, even with very long files.

Spelling checker

The internal spelling checker is clever enough to ignore HTML tags and handle extended characters. It supports multiple dictionaries and user dictionaries. Dictionaries are available in 7 languages.

Integrated Publishing Wizard

No need for an external FTP application. The Publishing Wizard remembers the server information, where to publish your documents and even takes care that all linked files (HTML, image and other files) are uploaded.

UNIX and ANSI file modes

Quickly switch between UNIX and ANSI file modes.

Unlimited undo/redo function

Predefined Javascripts

1-4-All comes with eight predefined Javascripts, that can easily be inserted in your HTML files. Further you can add your own scripts and then paste them into your documents with a few clicks.

Support for external HTML help files

You can start your favorite HTML help file from within 1-4-All. All file formats are supported, but 1-4-All especially supports (context sensitive jumps, etc.) the HTML Reference Library, Selfhtml (a german HTML documentation) and Wilbur by the Web Design Group.

Internal and external HTML viewers

1-4-All has a built-in HTML Viewer that lets you check what your HTML code will look like with a click of a button. You can either use 1-4-All's own internal viewer or use the WebObject browser that comes with Internet Explorer 3.01. Further you can send the current HTML document to the Netscape Navigator and the Internet Explorer. The external browser will automatically be started and the current document will be loaded.

Integrated image viewer

1-4-All lets you view either thumbnails in a directory or full-scale images. This feature lets you quickly find the image filename you need, without having to start an external image viewer.

Image dimensions reassigning

1-4-All can locate all referenced images in your documents and set the correct WIDTH and HEIGHT values. You can exclude certain images, like spacer images from this function. Having set these dimensions lets you pages load much quicker.

'Page properties' dialog for fast HTML document foundation and editing

The page properties dialog helps you starting a new HTML file. You can choose the document title, background image, all font and background colors and can preview these settings at the very same moment.

Comfortable editing of existing tags through dialogs

1-4-All lets you edit the following existing tags through the standard dialog windows: TITLE, BODY, A HREF, A NAME, IMG, FONT, BASEFONT, FORM

Project management

1-4-All supports project management, that gives quick you access to all files of a project you are working on.

Multiple file search/replace

Lets you search and replace in either just the current document, all documents in the current project or all documents in a directory.

Multiple templates

You can quickly access your self-defined templates used for new documents.

Extensive Drag and Drop support

Lets you create link and image HTML code by dropping files on the editor window.

Relative, absolute and no filepaths options

Based on your choice, all linked HTML and image files are inserted with relative, absolute or no filepaths.

When using relative paths, all linked files will be inserted with their relative path to the current HTML file.

Dockable button toolbar

The button toolbar holds buttons for the most important tags on multiple tabbed pages.

Text conversion

Lets you convert UNIX style to DOS style slashes and extended characters, like umlaut characters, to their HTML equivalents (and vice versa). Further there is an option that converts extended characters to their HTML equivalents while typing.

Timestamps

1-4-All supports timestamps, date or time fields that are automatically set to the current date/time when a document is saved.

Previously used links, images and colors

1-4-All remembers the last 20 links, images and colors and lets you access them again later.

Smart table editor and frame wizard

The build in table editor and frame wizard make the creation of tables and frames as easy as possible.

Automatic backup

1-4-All can make a backups of previous file versions whenever files are saved.

Application Launcher

The build in Application Launcher lets you start other programs from within 1-4-All at user demand or automatically at program start.

List linked files function

A function that shows you all files linked in the currently opened HTML file.

16 configurable user buttons


Backups

Every time you save a document, 1-4-All can make a backup copy of the previous document version. These backups are saved with the file extension .BAK.

You can enable or disable backups in the General settings dialog.

If you want fast access to a certain backup file, select "Show Backups" from the context menu of the file panel at the lower left side of 1-4-All's main window.


prv. used ...
Previously used links, images and colors

1-4-All remembers links, images and color values you used before and displays them in dialogs and in the CodeQuick listbox.

If you start a new project you might want to delete these old information about links, images and colors. You can do this by selecting "Tools|Delete previous lists" from 1-4-All's main menu.


user buttons
Configurable user buttons

The last two pages on the toolbar hold 16 buttons that can be configured to your needs.

To do this, select "File|Settings|Configure custom buttons" from 1-4-All's main menu, select the button you want to configure, enter the text that should be displayed as the buttons caption, the tag start (the text that should be inserted in front of the selected text when you click on this button), the tag end (the text that should be inserted in behind the selected text when you click on this button) and optionally the button hint.

The button hint will be displayed when you move the mouse cursor over the button and enables you to add a longer explanation of what this button does than the button caption can hold.

Note that you can do simple formatting by using pipes in your text. Three pipes will be expanded to a Tab, two pipes to a carriage return.

You can either use your configured buttons by directly clicking them or, for the first 8 buttons, by using the following keyboard shortcuts:

1.Button on page 1:	Strg+Shift+F5

2. Button on page 1:	Strg+Shift+F6

3. Button on page 1:	Strg+Shift+F7

4. Button on page 1:	Strg+Shift+F8

5. Button on page 1:	Strg+Shift+F9

6. Button on page 1:	Strg+Shift+F10

7. Button on page 1:	Strg+Shift+F11

8. Button on page 1:	Strg+Shift+F12


Dragdrop
Drag & Drop support

Tag creation:

You can easily create a link or an image tag by dragging and dropping a file from 1-4-All's file panel or from Explorer onto the edit window. Dropping an HTML document will insert the following tag at the drop point:

<A HREF="..."></A>

Dropping an image file will insert the following tag at the drop point:

<IMG SRC="..." BORDER="0" WIDTH="..." HEIGHT="...">

You can surpress the dimension attributes by holding down CTRL when dropping.

Opening documents or projects:

You can drag and drop one or more files on the 1-4-All icon or directly on the running program (but outside the edit window and file panel; see "Tag creation" above and "Copying or moving files below") to open a file or project. Of course you can add 1-4-All to your "Window\SentTo" folder to quickly open HTML documents or 1-4-All projects (extension .14p) later.

If there is already an instance of 1-4-All is running the document will be opened in the existing instance.

Copying or moving files:

You can drag and drop one or more files on 1-4-All's file panel to copy or move files to the current directory.

Moving selected text by drag and drop:

You can move selected text in the editor by simple drag and drop. Holding down CTRL when dropping the selection will copy the selected text.


Thesaurus

1-4-All has an integrated thesaurus tool. The thesaurus dictionary is however not part of the standard distribution, so if you want to use this feature you have to download the dictionary from the 1-4-All product page. The thesaurus dictionary is only available in english.

Once the thesaurus dictionary is available in 1-4-All's program directory, you can lookup the current word by selecting "Tools|Thesaurus" from 1-4-All's main menu or by pressing the keyboard shortcut F9.


Wilbur

1-4-All comes with a basic external HTML help file by WDG.

Wilbur is a HTML documentation in Windows Helpfile format. 1-4-All has build-in special support for version 1.6 of this Helpfile, like context sensitive jumps (e.g. pressing F2 with the link dialog active will open the chapter about the <A HREF> tag in this helpfile).

Wilbur, the Web Design Group's HTML 3.2 Reference help file is intended to provide a quick overview of all HTML 3.2 elements, their attributes and brief descriptions.

The help file includes:

 - Introduction to HTML 3.2

 - Structure of an HTML document

 - Overview of all HTML 3.2 elements

 - Alphabetical listing of all tags

 - Glossary of terms

Each element has full annotations regarding appearance, attributes,

permitted contents, and a list of elements in which it may be used.

All elements are fully hyperlinked to allow for quick and easy navigation

from one element to another, and a searchable index and table of contents

are only a click away.

The file is available for Windows 3.1, Windows 95, and a Mac version is

currently in the works.  The WDG encourages suggestions and requests from

end users in regards to the content of the help file, or additions they would

like to see implemented.

The help file is freely available to all users, and the WDG has a set of

guidelines for distribution and commercial uses of the file availalble at:

http://www.htmlhelp.com/distribution/guidelines/.

The latest updates to the HTML 3.2 Reference help file can be obtained from:

http://www.htmlhelp.com/distribution/.

Special thanks to the WDG for their kind cooperation!

Wilbur is copyright by the Web Design Group (WDG; http://www.htmlhelp.com/distribution/).

External HTML Helpfiles


The main screen

The following is a typical screenshot of the Editor (click on any region to get a further explanation):

On the right side of the window you see the edit field, the place where you type in your HTML code and text. Below the message window shows information like search results and error messages. On the left side the file viewer gives you easy access to all relevant files.

The upper part of the file viewer shows a directory tree (either in the old Windows 3.1 style or in the new Explorer style; you can set this in the General settings dialog).

Right under the directory tree you see the filelist of the current directory. You can right click on the filelist and determinate which files you want 1-4-All to show here (HTML files, Image files, Multimedia files and/or Backups).

For a better understand of 1-4-All's handling of file types which are shown in the editor, please refer to the extensions explanation.

By double clicking on a HTML file in the file viewer, it is loaded into the editor. Clicking on an image file will display the image.

The top of the main window is the place for the button panel. The left group of buttons call functions of the editor (e.g. cut, paste, project management or starting internal or external browsers for HTML viewing), while the right group holds a variety of buttons on tabbed pages that insert HTML code into the current document or open dialogs or wizards for HTML tag creation. These buttons are actually placed on a dockable button toolbar. Right click on the toolbar and select "Undock toolbar" to be able to move the toolbar where you  would like to see it.

The easiest way to create a tag in 1-4-All is by dragging and dropping a file from the file list on the left onto the edit window on the right. If you drag and drop a *.html file e.g., a complete link tag will be inserted at the drop point. See Drag & Drop support for more information.

You can set the view options for the main screen from the by selecting 'View' from the main window or by selecting 'View options' from the context menu of the edit window (right click on the edit window).

You can hide or show the file panel on the left of the main window by clicking the appropriate buttons under the main menu.


Troubleshooting

Problem: I got double entries in filelist on the left side of 1-4-All's main screen.

Solution: Check the extension list in the  for double entries. Please note that the extension 'htm' in the extension list will show both, *.htm and *.html in the filelist. Please refer to this explanation of file type handling for more information.

Problem: When I start 1-4-All or create a new document, I get a message 'Can't find document template'.

Solution: 1-4-All can't find the file that you set as the default HTML template. Click 'File|New' and right click on the new default HTML template. If there are no templates show in this dialog, create a new template by clicking on 'File|Save as template'. Read more about templates here.

Problem: The remote filepaths in the filelist of the publishing wizard are not correct.

Solution: The entries for the local and remote directory root are case sensitive. Most likely one or more characters in your local directory entry have the wrong case.


Preferences
General Settings

Select 'File|Settings|General Settings...' to customize 1-4-All to your needs.

Settings are divided into 15 different categories. You can see and edit each category by selecting it in the tree on the left side of the General settings window.

Available categories:

Editor

Colors

Coding

File types

HTML viewers

     Internal Viewers

     External Viewers

Directories

Application Launcher

Other options

     CodeQuick

     Timestamps

     Language

Help

Printing

Note that 1-4-All supports multiple configurations.


Editor options

Select "File|Settings|General settings..." from 1-4-All's main menu and "Editor" in the tree on the left side of the General settings window to set the following preferences:

Font:

You can set the editors font by clicking on the button in this field. You can only choose fixed fonts faces and sizes. Selecting font styles different than "Standard" will be ignored.

Tabs:

•	"Tabsize" determines the distance between tab stops inside the editor.

•	"Autoindent" determines whether automatic indention for new lines is active. If "Autoindent" is active a new line is given the same indentation level as the previous line.

•	"Smart tabs": With "Smart tabs" enabled, the position of each tab stop is not fixed, but a function of the position of the words in the previous line. The following illustrates the position of the tab stops when smart tabs are used:

Previous line: 	This is a sample line demonstrating smart tab placement.

Current line:	X    X  X X      X    X             X     X   X         X

Default text mode:

Determines which file mode new documents have as default. Read more about file modes here.

Other general settings


Color options

Select "File|Settings|General settings..." from 1-4-All's main menu and "Colors" in the tree on the left side of the General settings window to set the following preferences:

You can configure 1-4-All to do a simple, an advanced or no color coding at all and you can set the tag colors on this page. Color coding works without a long delay in 1-4-All, so there shouldn't be a need to switch of advanced color coding.

Other general settings


Coding options

Select "File|Settings|General settings..." from 1-4-All's main menu and "Coding" in the tree on the left side of the General settings window to set the following preferences:

Paths in HTML code:

Determines if  linked files (HTML, image, multimedia files) are inserted with their relative path to the current HTML document, with their absolute path or with no path at all. Relative paths should be the right selection for most users.

Convert "\" to "/":

Determines if slashes in filenames and paths should be automatically converted to UNIX style slashes. You can also convert characters later with the Text conversion tool.

Convert extended character while typing:

This option is important for users writing HTML documents in french, german, scandinavian or any other languages that uses special characters, like umlaut characters or characters with accents. With this option active, 1-4-All will automatically replace these characters with their HTML equivalents, e.g. "ä" with "&auml;"or "À" with "&Agrave". You can also convert characters later with the Text conversion tool.

Text selection after inserting:

This option lets you set if after selecting text and inserting a tag, e.g. by clicking on the "B" button to insert "<B>..</B>", the initially selected text is still selected or if the cursor should be placed behind the inserted text without an active text selection.

Case:

To make sure that all links from your HTML pages to other local files are correct, you might want to consider to force all paths and filenames in links to lowercase.

Other general settings


File types option

Select "File|Settings|General settings..." from 1-4-All's main menu and "File types" in the tree on the left side of the General settings window to set the following preferences:

On this page you can set the file extensions of files that are considered HTML documents and multimedia files. These files are shown in the file panel on the left side of the main window of 1-4-All and can be edited or viewed with the program.

To add an extension to the list, type it in and press the Add button. To delete an extension from the list, select the extension and press the Delete button. For the list of extensions for HTML files, you shouldn't try to add file extensions of binary files or even of files that are not text file. You can't add extensions with the following characters: \ / : * ? " > < |

Please note, that adding e.g. the extension 'htm' will also show all files with the extension 'html', so you shouldn't add 'htm' and 'html' to prevent double entries in the filelist. See this explanation of file type support for more information.

Other general settings


HTML viewers

Introduction:

1-4-All supports Netscape Navigator and Internet Explorer as external HTML viewers.

Further, 1-4-All has a built-in internal HTML Viewer. Internal means that the document you want to view is not send to another application, but is shown inside 1-4-All. If you start the internal viewer, the edit window will temporary disappear to make space for the internal viewer. When finished, you can switch back to the editor.

To the left you see the two buttons from 1-4-All's button panel that start/switch to the HTML viewers.  Clicking on the left button will start your default external browser as specified in the general settings. Right clicking on it will start the secondary external viewer. The right button will start 1-4-All's internal viewer.

Select "File|Settings|General settings..." from 1-4-All's main menu and "HTML Viewers" in the tree on the left side of the General settings window to set the following preferences:

Setting up the HTML viewers in the preference dialog:

These settings apply to both, internal and external viewers. When you click on one of the above shown buttons the document you are currently editing will be shown in the called viewer.

Depending on the settings in this box, the current document will either be saved (or better to say copied) as a temporary file and this temporary file will be shown in the HTML viewer or alternatively the current document itself will automatically be saved under its own filename and the file itself will be shown in the viewer. Choosing the third option 'Automatically save all open files'  will automatically save all files currently open in the editor when clicking on one of the above buttons and show the current document in the HTML viewer. This option is especially useful when working with framed documents.

General settings for internal HTML viewers

General settings for external HTML viewers

Other general settings


Internal HTML viewer options

Select "File|Settings|General settings..." from 1-4-All's main menu and "Internal Viewer" in the tree on the left side of the General settings window to set the following preferences:

1-4-All's own internal viewer has some drawbacks. It does not support all tags, but on the other hand it is very quick and won't harm your memory resources too much.

As an alternative to 1-4-All own internal viewer, you can use the WebObject that comes with Internet Explorer 3.01 for internal viewing of HTML documents. Using this option is a bit like opening Internet Explorer inside 1-4-All. Once the WebObject is created this is also a fast possibility to view your HTML documents.

You will need Internet Explorer 3.01 (that is build 1215 in the About box of Internet Explorer) or later installed on your computer to use this feature.

A further options lets you determine if you want that the file panel on the left side of 1-4-All's main window is automatically hidden when you preview your documents in an internal viewer.

Settings for all HTML viewers

Settings for external HTML viewers

Other general settings


External HTML viewer option

Select "File|Settings|General settings..." from 1-4-All's main menu and "External viewers" in the tree on the left side of the General settings window to set the following preferences:

This is the place where you can specify where the executables for Netscape Navigator and Internet Explorer reside on your hard disk. Upon installation 1-4-All will try to automatically fill in this information for you, but if it failed or you get a new version of a browser and installed it in another directory, you might need to do this manually by clicking on the buttons on the right and browsing for the executable yourself.

The radiobox underneath these entries lets you set the default external browser. The default external browser is the browser that is started when clicking on the "External HTML viewer" button".

The browser that is not the default external browser is the secondary external browser and can be started by rightclicking on the "External HTML viewer" button".

Settings for all HTML viewers

Settings for external HTML viewers

Other general settings


Directories options

Select "File|Settings|General settings..." from 1-4-All's main menu and "Directories" in the tree on the left side of the General settings window to set the following preferences:

Startup directory:

This is the initial directory where the file/directory viewer on the left side of the main windows is at the start of 1-4-All. You can either enter a fixed directory here or let 1-4-All remember the last used directory in the previous session.

Other general settings


Application launcher

Select "File|Settings|General settings..." from 1-4-All's main menu and "Application launcher" in the tree on the left side of the General settings window to set the following preferences:

1-4-All lets you launch up to four other applications from within the program. Set the path to the executables and the program titles in the general settings dialog and decide if you want 1-4-All to start these applications automatically every time 1-4-All is started.

You can pass the filename of the current document to an application (at the time you launch it) by adding "%1" to the executable path.

You can also start these applications later manually, by choosing "Tools|Application Launcher" from the main menu.

Other general settings


Other options

Select "File|Settings|General settings..." from 1-4-All's main menu and "Other options" in the tree on the left side of the General settings window to set the following preferences:

Backups:

This box lets you activate the automatic backup function. Backup files are saved as 'filename.bak'. Read more about backups here. 1-4-All can automatically delete all backups files created during a session or let you confirm if you want them to be deleted.

Directory listing style:

Here you can determinate if you want 1-4-All show the old style directory list (as known from Windows 3.x) or the new Explorer style directory tree.

Button style:

Determines if you want borderless (flat) buttons on 1-4-All's button bar.

Filelist:

When you switch to a directory with lots of files, 1-4-All will need quite long to get all file information (size, date, type) for all these files. To speed up things in these cases you can tell 1-4-All to show a simple filelist (filename only) when a directory holds more than a certain number of files. When you have a simple list in the file panel, you can still get the file information by selecting a file and waiting for the hint to pop up.

Confirm exit:

If you want 1-4-All to ask for a confirmation when you close the application, check this checkbox.

Font dialog:

The font dialog has the ability to remember the last used font. If you don't want to use this feature, uncheck this option.

Other general settings


CodeQuick options

Select "File|Settings|General settings..." from 1-4-All's main menu and "CodeQuick" in the tree on the left side of the General settings window to set the following preferences:

You can enable or disable the CodeQuick feature on this page and set it's popup delay. The popup delay is the time in thousandth of a second after which the CodeQuick listbox should popup. The default value is 600 (0.6 seconds), but you might want to adjust the delay to your typing speed.

When CodeQuick is disabled, you can still access the CodeQuick listbox by pressing F8.

Other general settings


Timestamps

Timestamps are mostly used for letting users who browse your HTML page know, when the document was edited the last time. Normally, you would insert this information as plain text somewhere in your document, e.g. 'Last change: February 28, 1997'. Of course, you would have to update this information every time you change the document. Timestamps do this automatically for you every time you save the document.

You can insert a timestamp by clicking on the timestamp button on the 'Additional page' of the button bar shown left.

A typical timestamp looks like:

'Last change: <!-- 1-4-ALL TIMESTAMP START -->February 28, 1997<!-- 1-4-ALL TIMESTAMP END -->'

1-4-All will automatically update this field every time you save the document.

Configuring your timestamps in the General settings dialog:

Select "File|Settings|General settings..." from 1-4-All's main menu and "Timestamps" in the tree on the left side of the General settings window to set the following preferences:

The format of the time/date shown between the timestamp start and end tag is fully customizable in the general settings dialog.  If you use real names, like 'March' or 'Friday' instead of numbers, you can choose which language to use.

You can customize the time/date format for your timestamps with the following specifiers:

(Format specifiers may be written in upper case as well as in lower case letters;

both produce the same result.)

Specifier   Displays

---------------------------------------------------------------------------------------------------------------------------------------------------------

c	Displays the date using the format given by the ShortDateFormat global

variable, followed by the time using the format given by the LongTimeFormat

global variable. The time is not displayed if the fractional part of the DateTime

value is zero.

d           	Displays the day as a number without a leading zero (1-31).

dd          	Displays the day as a number with a leading zero (01-31).

ddd	Displays the day as an abbreviation (Sun-Sat) using the strings given by the

            	ShortDayNames global variable.

dddd	Displays the day as a full name (Sunday-Saturday) using the strings given by

            	the LongDayNames global variable.

ddddd   	Displays the date using the format given by the ShortDateFormat global

            	variable.

dddddd  Displays the date using the format given by the LongDateFormat global

            	variable.

m           	Displays the month as a number without a leading zero (1-12). If the m

            	specifier immediately follows an h or hh specifier, the minute rather

            	than the month is displayed.

mm          Displays the month as a number with a leading zero (01-12). If the mm

            	specifier immediately follows an h or hh specifier, the minute rather than

            	the month is displayed.

mmm       Displays the month as an abbreviation (Jan-Dec) using the strings given by

            	the ShortMonthNames global variable.

mmmm    Displays the month as a full name (January-December) using the strings given

            	by the LongMonthNames global variable.

yy          	Displays the year as a two-digit number (00-99).

yyyy       Displays the year as a four-digit number (0000-9999).

h           	Displays the hour without a leading zero (0-23).

hh          	Displays the hour with a leading zero (00-23).

n           	Displays the minute without a leading zero (0-59).

nn          	Displays the minute with a leading zero (00-59).

s           	Displays the second without a leading zero (0-59).

ss          	Displays the second with a leading zero (00-59).

t           	Displays the time using the format given by the ShortTimeFormat global

            	variable.

tt          	Displays the time using the format given by the LongTimeFormat global

            	variable.

am/pm    	Uses the 12-hour clock for the preceding h or hh specifier, and displays

            	'am' for any hour before noon, and 'pm' for any hour after noon. The am/pm

            	specifier can use lower, upper, or mixed case, and the result is displayed

            	accordingly.

a/p         	Uses the 12-hour clock for the preceding h or hh specifier, and displays

            	'a' for any hour before noon, and 'p' for any hour after noon. The a/p

            	specifier can use lower, upper, or mixed case, and the result is displayed

            	accordingly.

ampm      Uses the 12-hour clock for the preceding h or hh specifier, and displays

            	the contents of the TimeAMString global variable for any hour before noon,

            	and the contents of the TimePMString global variable for any hour after noon.

/          	Displays the date separator character given by the DateSeparator global

            	variable.

:           	Displays the time separator character given by the TimeSeparator global

            	variable.

'xx'/"xx"  	Characters enclosed in single or double quotes are displayed as-is, and do not

            	affect formatting.

Other general settings


Language options

Select "File|Settings|General settings..." from 1-4-All's main menu and "Languages" in the tree on the left side of the General settings window to set the following preferences:

1-4-All supports English and German. To change the language click the attached button and select the new language.

Other general settings


Help options

Select "File|Settings|General settings..." from 1-4-All's main menu and "Help" in the tree on the left side of the General settings window to set the following preferences:

1-4-All supports external HTML Help files. Read more about such help files here.

On this page you can tell 1-4-All which HTML helpfile you want to use and where it is located. Special support for the "HTML Reference Library", "Wilbur" and "Selfhtml" is build into 1-4-All, but you may however use any other HTML helpfile in any format.

You can access your HTML helpfile in the editor by pressing F2.

Other general settings


Printing options

Select "File|Settings|General settings..." from 1-4-All's main menu and "Printing" in the tree on the left side of the General settings window to set the following preferences:

Use this page to set up your printing options. You can set the printer font, margins, line spacing, borders and page orientation.

You shouldn't set the printer margins to small. If they are too small for your printer, 1-4-All might overwrite your settings here and borders might not show up.

Allowed predefined fields for header and footer lines:

 {$TITLE}	inserts what's between the <TITLE> tag on the page to print

 {$PAGE} 	insert the page number

 {$DATE} 	insert the current date

 {$TIME} 	inserts the current time.

 {$FILE} 	inserts the filename

Other general settings


The Buttonbar
Buttons in 1-4-All

The buttonbar shown above holds a variety of buttons that either let's you insert tags directly, e.g. the button labeled 'B' inserts '<B>' before and '</B> after the currently selected text. Another example is the button with the chain on it, that will start the link dialog. The hint for each button will give you a quick idea what each button will do.

The last tab on the buttonbar lets you setup 16 custom tags. Read this to learn more.

Customizing the button layout:

You can fully customize the layout of the buttons on the toolbar and left of the toolbar by selecting "File|Settings|Customize button layout".

You can select a group on the left side of the window to see the available buttons in this group.

Simply drag and drop buttons on or off the toolbar. For easier placement all buttons have a border during customizing. To load the default button layout click the "Default" button. You can change the toolbar captions on the lower left by doing a slow double click.


Multiple configurations

1-4-All saves all user settings in files with the *.ini extension in the directory "configs". You can switch between ini files while 1-4-All is running, so multiple users can have their own settings or you might want to use different configurations for different projects you are working on.

The currently loaded configuration file is always shown ate the far right of the status bar. To load another or create a new configuration, double-click on this area in the status bar or select "File|Settings|Configuration Manager".

To load another configuration just double-click on an entry in the list of available configurations in the Configuration Manager.

If you want to create a new configuration click "New" and enter a name for the new configuration. Please note that this name must be a valid filename. On creation you will be asked from which existing configuration the new configuration inherts its settings. Inhertance means that the new configuration starts as a copy of another configuration.

You can assign a configuration in a 1-4-All projects. Refer to the project management section for more information.


JavaScripts and Stuff
JavaScripts

The Javascript tool lets you insert predefined Javascripts, create a detour page or text effects.

When adding more than one script to a HTML document you might have to do some manual adjustments, e.g. adding the fade script will add the 'onLoad' attribute to the <BODY> tag. When you add another script that is called from 'onLoad' you will get a second 'onLoad' attribute in the <BODY> tag. You would need to change the <BODY> tag from

'<BODY onLoad="function1" onLoad="function2">'

to

'<BODY onLoad="function1;function2">'.

The following predefined scripts are available:

URL Selector:

This script inserts a URL combobox (dropdown list) at the current caret position. Just enter the URLs and the descriptions for each URL in the table and click "Ok".

Scrolling Status Bar:

This script lets you enter a text that will scroll in the status bar of the Web browser. To use the script in your HTML document, just enter the text you want to scroll in the status bar, select a scrolling speed and click the OK button.

If the scrolling text shows up truncated in the Web browser, try to play with the POSITION value in the upper part of the script.

Ticker:

Adds a ticker at the current cursor position. To use the script enter your ticker text lines in the appropriate field and set the width of the input box used as the ticker.

Marquee:

Adds a marquee, a textbox with scrolling text in it, to your HTML document. To use the script enter the text in the appropriate field and set the width of the input box in that the text will scroll in.

Autosroll:

This script has a very nice effect and is a totally different scrolling script. It will automatically scroll the HTML page vertically.

Just make sure that the document you want to add this script to is of reasonable length, so that a vertical scrollbar is shown in the browser.

Fadein/fadeout:

This script will make your HTML page fade in/out, like it was possible with a previous version of Netscape. Before using this script, please make your final decision for the background color of your HTML document.

To use the script just select the type of fade (fadein/fadeout/both), select a fading speed and a color from which to fade in or out and click the OK button.

Time/Date:

Adds a box with a running clock to your HTML document.

To use the script just position the cursor caret where you would like to insert the clock, lick the button for this script and press OK in the dialog.

Slideshow:

This script adds a slideshow to your HTML document, similar to an animated gif.

Please note that all slides (images) have to be of the same size!

To use this script just select the images you would like to show in the slide show in their correct order, choose a delay between the slides and press the 'OK' button.

Then you have to set the index value at the top of the script to the index of the image that should be the replaced during the slideshow. E.g. if you have 3 images before the slideshow image you have to set index to 3. If the slideshow image is the first image in the document, the index has to be set to 0.

var delay = 2000;

var imgs = new picarray;

 ->     	var index = 3;

      	var count = 2;

      	var i = 1;

Detour page:

This is a little tool, in fact not really a script, that quickly generates a detour page; unfortunately an often needed item.

Just fill in the new URL the user should be redirected to and click the 'OK' button. The detour page will be created as a new document.

Text effects:

This tool lets you create nice text effects as shown in the examples. Just select the kind of text effect you would like to apply, enter the text you want to apply the effect to and click on the Ok button.

Cookies:

When clicking Ok on this page the basic cookie functions getcookie, setcookie and deletecookie will be added to your HTML document. You can then call these functions from another script.

Custom scripts:

You can easily add your own script to 1-4-All. Just click the 'New' button and enter a script name and the script code in the upcoming dialog. The script will be saved as a text file with the extension *.jsc in the the 'scripts' directory of 1-4-All's program directory and can then be easily accessed by selecting it from the drop-down list.

If you "Convert extended characters" is checked, extended characters will be converted to their HTML equivalents while typing.


The table editor

The table editor offers a comfortable way to create HTML tables. Start the table editor by clicking on the button shown left (situated on the 'Additional' tab of the buttonbar; this button is also present on the 'Common' tab, but there it holds the Quick table function, that inserts just the skeleton of a HTML table).

To use the table editor just enter the number of rows and columns and fill in the other table properties. Then fill in the content of all cells in the editor window on the left side.

Finally enter the properties for the individual cells by selecting a cell and then entering the properties on the cell properties page.

To assign a set of properties to all cells just click the 'Use these values for all cells' button.

To clear all input click on 'Reset'.

Please note that some attributes to the <TABLE> and the <TD> tag (marked with the symbol shown on the left) are Internet Explorer specific. If you want everyone to view the table the way you designed it, you shouldn't use these attributes.


The frame wizard

Frames let you display multiple HTML files on one page in a Webbrowser.

The frame wizard offers a quick way to create a framed document.

To use the Frame Wizard, click the Frame Wizard button shown on the left, decide if you want to frame the HTML window in rows or in columns and enter the number of rows in each column or respectively the number of columns in each row. Click the 'Next' button and the main window will show up.

Select a frame on the left side of the window and make your changes to the size and attributes of this frame. Don't forget to enter an URL for this frame. Repeat the process for all frames.

If you don't type in a name for a frame the frame will be named by its count number, e.g. 'FRAME7'.

Optionally you can enter Netscape specific attributes to the <FRAMESET> attribute on the second page of the multiple tabbed page on the right side.

When you are done with all frames, click the Ok button. The frame code will be inserted in the current HTML document.

1-4-All will scan your document for a <BODY> tag when inserting frame code. Read this explanation.

Please note that some attributes to the <FRAMESET> and the <FRAME> tag are Internet Explorer or Netscape Navigator specific. If you want all people to view the frameset  the way you designed it, you shouldn't use these attributes.


The file dependency lister

This tool lists all files that are linked from the your current document. To use this feature select 'Tools|File dependencies...' from 1-4-All's main menu.

You can specify if you want 1-4-All to list HTML files, image files and other files and you can limit the listing to local files only by checking the according checkboxes on the left side of the window.


The spelling checker

1-4-All's spelling checker lets you check the spelling of your HTML documents. It will only check text and omit HTML tags. It supports multiple dictionaries and user dictionaries.

We recommend that you always turn off word wrap before spell checking. You can configure the spelling checker to switch to unwrapped mode automatically during the spell check on the "Options" dialog of the spell checker.

For extensive information about the spelling checker please refer to the spelling checker help file that comes with 1-4-All.

1-4-All comes with an English (American-English) dictionary. Further dictionaries are available at the 1-4-All Homepage on the World Wide Web.


Disclamer, License
Disclamer, license, copyrights and trademarks

Disclaimer

The author of this program accepts no responsibility

for damages resulting from the use of this product

and makes no warranty or representation, either

express or implied, including but not limited to,

any implied warranty of merchantability or fitness

for a particular purpose. This software is provided

"AS IS", and you, its user, assume all risks when

using it.

License

You are hereby licensed to: use the shareware version

of this software for a 60 day evaluation period; make

as many copies of the shareware version of this

software and documentation as you wish; give complete

and exact copies of this shareware version of the

software and documentation in its unmodified form via

electronic means. There is no charge for any of the

above.

Copies of the shareware version of 1-4-All may be

distributed without charge or further permission from

the author provided that exact copies of the shareware

version are distributed. This software is provided as

shareware and cannot be sold. This software can not

be bundled with any commercial package or distributed

by itself without express written permission from the

author. You may not disassemble, decompose, reverse

engineer or alter any of the files in the package.

Evaluation and further use of the software

1-4-All is not free software. The license allows you

to use this software for evaluation purposes without

charge for a period of 60 (sixty) days. If you want to

use this software after the 60 day evaluation period you

have to register. Please read the registration section

in the help file for information how to do so.

Copyrights and trademarks

1-4-All is copyright by Marcus Mönnig.

Netscape is a registered trademark of Netscape

Communications Corp. (http://www.netscape.com).

Microsoft, Windows, Windows95 and Internet Explorer are

either registered trademarks or trademarks of Microsoft

Corp.(http://www.microsoft.com) in the United States and/or

other countries. The HTML Reference Library is copyright by

Stephen Le Hunte (http://subnet.virtual-pc.com/~le387818/).

Selfhtml is copyright by Stefan Münz  (http://www.netzwelt.com/selfhtml/).

Wilbur is copyright by the Web Design Group

(WDG; http://www.htmlhelp.com/distribution/).

Other brandnames, company names or products mentioned are

trademarks, registered trademarks, or tradenames of their respective

holders.


Note for shareware distributers
Note for shareware distributors

We appreciate if you consider 1-4-All for distributing.

The 1-4-All license says:

'You may [...] make as many copies of the Shareware version of this software and documentation as you wish; give complete and exact copies of this Shareware version of the software and documentation in its unmodified form via electronic means. There is no charge for any of the above.'

'This software is provided as shareware and cannot be sold. This software can not be bundled with any commercial package or distributed by itself.'

Feel free to distribute 1-4-All in the unmodified package file '14allXXX.zip', where XXX stands for the version, as long as is not sold directly and it is clearly stated that this is an unregistered shareware version for evaluation purposes.

If you are not sure, please contact us!


Keyboard shortcuts

Alt+Left 	Switch to prev. document

Alt+Right 	Switch to next document

Alt+Home 	Switch to first document

Alt+End 	Switch to last document

Ctrl+F4	Close document

Ctrl+S 	Save

Ctrl+C 	Copy

Ctrl+Insert	Copy

Ctrl+V 	Paste

Shift+Insert	Paste

Ctrl+X 	Cut

Ctrl+Z 	Undo

Shift+Ctrl+Z	Redo

Shift+Tab	Indent

Ctrl+Tab	Unindent

Escape	Deselect text

F5	 	Small Window

F6	 	Wide Window

F7	 	Full Window

Shift+F5 	Internal HTML Viewer

Shift+F6 	External HTML Viewer (default)

Shift+F7 	External HTML Viewer (secondary)

F4	 	Redo Color Coding

F11	Update directory tree

F12	Update file list

Ctrl+F 	Find

F3	Find again

Ctrl+R	Replace

Ctrl+G 	Goto line

Shift+Ctrl+NUM	Set a bookmark (0<=NUM<=9)

Ctrl+NUM	Jump to a bookmark (0<=NUM<=9)

Strg+Alt+C	Convert color

Shift+Ctrl+Del	Strip tag

F9	Spelling checker

F10	Thesaurus

F1 	Context Help

F2 	External HTML Help

Ctrl+B 	Bold

Ctrl+I 	Italic

Ctrl+U 	Underlined

Shift+Ctrl+C 	Center

Ctrl+H	Horizontal rule

Shift+Enter 	Paragraph

Ctrl+Enter 	Line break

Ctrl+Space	non-breakable space

Ctrl+K	Comment

Ctrl++	Font +1

Ctrl+-	Font -1

Ctrl+F5 	Heading 1

Ctrl+F6 	Heading 2

Ctrl+F7 	Heading 3

Ctrl+F8 	Heading 4

Ctrl+F9 	Heading 5

Ctrl+F10	Heading 6

Ctrl+T	Table row

Ctrl+D	Table data

Ctrl+Q	Unordered list

Ctrl+O	Ordered list

Ctrl+J	List item

Ctrl+N	Definition list

Ctrl+W	Definition term

Ctrl+Y	Definition

Shift+Ctrl+F	Font dialog

Ctrl+L 	Link dialog

Ctrl+A 	Anchor dialog

Ctrl+P 	Image dialog

Ctrl+M	Multimedia dialog

Shift+Ctrl+E	Email link dialog

Ctrl+E	Edit selected tag

Shift+Ctrl+F5	Custom button 1

Shift+Ctrl+F6	Custom button 2

Shift+Ctrl+F7	Custom button 3

Shift+Ctrl+F8	Custom button 4

Shift+Ctrl+F9	Custom button 5

Shift+Ctrl+F10	Custom button 6

Shift+Ctrl+F11	Custom button 7

Shift+Ctrl+F12	Custom button 8

When the image viewer is active you can browse through the images with the cursor keys , the End and Home key.

When the internal HTML viewer is active you can get back to the editor by hitting the Escape key.

When the CodeQuick box is visible, pressing Return insert the selected tag/attribute/value. Holding down Ctrl will insert the starting tag only, but not the closing tag.


No help available

Sorry, but there is no help available on this topic.

If you run into a problem and think you need help that is not available in this help file, you are welcome to contact us.


Release history

Version 2.1:

-Fixed a bug that deleted selected text when pressing Escape

-Escape now deselects text

-{$FILE} field added for header/footer when printing

-Switched support for "Selfhtml" documentation to version 7.0

-Fixed a bug in internal conversion of relative to absolute filepaths

Version 2.1 Beta 2:

-Fixed a severe bug that made half of all functions in 1-4-All not work for about half of all beta testers.

-No more backup files for temporary files (temp.htm -> temp.bak) are created

-Main open dialog now allows selection of multiple files

-Added header/footer lines for printing

 The following fields are allowed in header and footer line (besides

 any other characters):

 {$TITLE} inserts what's between the <TITLE> tag on this page

 {$PAGE} insert the page number

 {$DATE} insert the current date

 {$TIME} inserts the current time.

 {$FILE} inserts the filename (added in 2.1 final)

Version 2.1 Beta 1:

-Fixed missing quote in mail tag

-The main window title now correctly updates when switching through documents

-The editor now correctly refreshes when switching the word wrap option

-Fixed some display errors on machines using big fonts

-Fixed a bug in "Reassign image sizes" tool that occured with spelling mistakes in <IMG SRC..> tags

-Custom colors in all standard color selction dialogs are now remembered between session

-ALT=""' is now a default attribute when dragging and  dropping an image onto the editor

-Publishing wizard now correctly scans CLASS attribute in APPLET tags

-"Goto line" dialog now remembers unwrapped option

-CodeQuick feature now works with selected text

-CodeQuick feature now has a hint mode (currently rarely used, but will be extended in later versions)

-Added support for a 3rd party product yet to be announced (support is disabled in this beta version, but yet might

 produce bugs)

-Fixed stucked "External HTML Browser" button

-Speeded up loading of very long files in UNIX format

-Added "Scroll past end" option

-All "temp.htm" files should now be deleted after 1-4-All shutdown

Version 2.02:

-The "remember last used font" feature in the font dialog is now optional. A clear button has been added.

-Added two new keyboard shortcuts for updating the directory tree (F11) and the file list (F12).

-You can now pass the filename of the current document to another application through the application launcher tool.

-Special characters (e.g. &quot;) are now correctly ignored by the spelling checker.

-Changed the word delimiters, so the hightlighted selection when double-clicking in the editor will now make a bit more sense.

-Changed the "Mailto-Tag" dialog, so that the given subject is used in Netscape Navigator style, not NCSA Mosaic style.

-Fixed the Cookie javascript (again). now "escape" and "unescape" are used instead of seperate decode/encode functions.

-Fixed a bug that disabled color coding for a while when hitting Ctrl-Return.

-Fixed a bug that replaced all occurences of a search string when one occurence was initially selected though "Cancel" was selected.

Version 2.01:

-Added an option for automatic or confirmed deletion of backup files (BAK extension)

-The font dialog now remembers the last used font attributes

-The "Do you really want to exit?" message can now be turned off

-Selected text (if the selection is not longer than one line) is now copied to the search term field in the find and replace dialogs

-Fixed a bug that cut long files upon loading when the file was in UNIX mode

-Fixed the Cookie script (special thanks to Lennart Steinke)

-Fixed path to helpfile ("Can't find 14all.hlp" poped up when F1 was pressed)

-Fixed a bug that hid the icons in Listviews (like the file frame in the main window) on some machines with the "wrong" Comctl32.dll

-Fixed a bug that set the start of a text selection to the beginning of the file when selecting text quickly (hard to explain, but if you ever experienced it, you'll know)

-Fixed another error in text conversion with french characters (accent grave<->accent acute)

Version 2.0 final:

-Added option to keep text selection after inserting tags (this option is enabled as default)

-Added option to force lowercase of all paths and filenames

-Added simple formatting feature to custom buttons. Three pipes will be expanded to a Tab, two pipes to a carriage return.

-Added an option to set the background color of the editor window.

-Added a "Geocities option" in the publishing wizard. When enabled, all files will be uploaded to the initial directory.

-The "Quick list" dialog now cares about previously selected text and will make each selected line a list item

-Enabled copy to clipboard in Selfhtml viewer

-CTRL-Insert and SHIFT-Insert now copy and paste selected text

-Indent and unindent have new keyboard shortcuts now: SHIFT-Tab and CTRL-Tab

-Keyboard shortcut for "Email link" changed to Shift-Ctrl-E

-Updated Selfhtml files to version 6.1

-Fixed inserting of tags through tag dialogs when multiple lines are selected

-Fixed a bug that took the focus of the edit window (disabling the keyboard shortcuts) after drag and drop of selected text

-Fixed the sorting of directories in the treeview in 1-4-All's main window (sorting is now case-insensitive, like in Explorer)

-Fixed switching from 1-4-All to the selfhtml viewer

-Fixed a bug in the "Browse directory" dialog (was incompatible with IE 4)

-Changed the splashscreen due to incompatibilities of some graphic cards with polygon windows

-Fixed a bug in the custom script dialog

-Fixed a couple of small other bugs

Version 2.0 Beta 3:

-Added customizable toolbars (Drag and drop buttons, like in Word)

-Added new buttons (Undo, redo, reload and some more)

-Added multi-configuration support (switching between ini files)

-The edit window now scrolls a few characters when text is inserted at the far right

-Drag and drop of image files from the filepanel onto the editor now adds dimensions (Use CTRL to suppress)

-Drag and drop of selected text: Holding down CTRL now copies the selected text

-You can now toggle between color names (e.g. "black") and their RGB value (e.g. "#000000") in all color boxes by hitting CTRL

-In the custom button setup the first unused button is now initially selected

-Added some style sheets specific tags to the CodeQuick feature

-Fixed a memory leak

-Fixed an access violation that occured with very long lines

-Fixed a bug that cut lines longer than 255 characters when dargging and dropping selected text

-Fixed highlighting of search term with "Find text"

-Fixed: Selecting "Rename" from the context menu or creating a new folder in open/save dialogs set the name of the selected item to "&Save"

-Fixed custom button 16 (forgot its content)

-Fixed a bug in image dimension reassigning that deleted non-standard tag attributes

-Fixed a bug in the replace function ("Replace all" in selected text)

-Fixed lag when selecting text

-Fixed refreshing of the CodeQuick box when inserting text at the far right of the editor

-Fixed a couple of small other bugs

Version 2.0 Beta 2:

-Added word wrap option

-Added drag and drop support for selected text

-Added Thesaurus (english only; dictionary is available at the 1-4-All Homepage)

-Added drag and drop support from explorer to file panel (moves or copies files)

-Added Wilbur as default external HTML Help file to the distribution

-Added read-only file mode

-Holding down CTRL when selecting a tag from the CodeQuick box will NOT insert a closing tag

-Did some fine-tuning in the project manager

-Redesigned main menu to make space for some tag items (plus their keyboard shortcuts)

-Fixed access violation on startup on computers running Windows versions with non-western code pages (e.g. Korean)

-Fixed file extension bug in open/save dialog

-Fixed a bug that caused incorrect color coding of </A> closing tags

-Fixed a bug that incorrectly inserted JavaScripts

-Fixed a bug in the replace dialog (Replace all)

-Fixed restoring of previous window size and position on startup when 1-4-All was terminated with maximized window before

-Fixed path to Spell.hlp

Know bug: Selecting "Rename" from the context menu or creating a new folder in open/save dialogs will set the name of the selected item to "&Save"

Version 2.0 Beta:

(Lots of changes. This is an incomplete list.)

-New editor with instant color coding, bookmarks, unlimited undo/redo, smart tabs and much more (drawbacks: no word-wrap option, no drag and drop with selected text, fixed font only)

-New image viewer with thumbnail view

-Added CodeQuick feature

-Added publishing wizard

-Added color converter (RGB<->Hex)

-Added image dimension reassignment tool

-Added printer setup

-Added URL Selector Javascript

-Added german language support

-Added message view for search results and error messages

-Introduced flat buttons

-Redesigned search and replace dialog (including search/replace in files)

-Backup option has changed

-Remove tags is now possible in selected text only

-Better support for external help files (context sensitive jumps)

-Added filemode option (UNIX<->ANSI)

-Redesigned custom buttons

-Added "Strip this tag" function

-Added an option that hides the file panel when internal browser is active

-Changed keyboard shortcuts

-Fixed flickering when closing files

-Introduced new registration keys and registration service

Version 1.1:

-1-4-All now correctly runs on Windows NT4.

-Optimized memory consumption.

-1-4-All now supports the Internet Explorer WebObject that comes with IE 3.01. It's now possible to use the Internet Explorer browsing interface as 1-4-All's internal browser. (You will need to have Internet Explorer 3.01 (that's build 1215 in the IE's About box) installed on your machine to use this feature.

-Added timestamp feature.

-Added project management.

-You can now edit existing tags by doing a fast double click on a tag.

-Added support for multiple templates

-Added an optional Windows Explorer style directory list.

-Added a new spelling checker that supports multiple open and user dictionaries.

-Redesigned right click menu and main menu

-Added the 'Font +1' and 'Font -1' tag on the main menu.

-It's now possible to browse for a file in the Frame Wizard.

-Redesigned the quick list and quick definition list dialogs.

-Added a text effects feature in the Javascript 'n' Stuff dialog.

-1-4-All now correctly remembers the position of the main window between sessions.

-You can now paste text copied from a wordprocessesing software, without copying the formatting of the text.

-Optimized conversion of extended characters.

-Added 'onMouseOver' and 'onMouseOut' attributes in the link dialog.

-Added 'onLoad' and 'onUnload' attributes in the page properties dialog.

-'Alt+Left', 'Alt+Right', 'Alt+Home' and 'Alt+End' will now let you switch between open documents.

-Added advanced color coding (optional) for links, anchors and images.

-Rewrote the help file.

-Added a warning message when only 15 starts or less are available for the evaluating user.

Bug fixes:

-Fixed a mixing between 'é' and 'è' when working with extended characters.

-Fixed a bug when editing an existing anchor tag.

-Disabled word-wrap in custom Javascripts.

-Fixed the checked option in the radiobutton and checkbox dialog.

-Fixed editing of existing tags.

-Fixed a bug in the file dependency lister that stopped the application.

Version 1.0:

-Added a spelling checker.

-Replaced the internal HTML Viewer with a more sophisticated one.

-Changed all color pickers/selection dialogs.

-Changed all default filenames to 8.3 style.

-Added a dialog for the <BASEFONT> tag. An existing basefont tag is editable through the standard dialog.

-Added a dialog for a 'mailto:' link. An existing 'mailto:' link is editable through the

standard dialog.

-Added an option to save all open files before browsing them in an external viewer.

-Added 'Export to Unix...' tool, that saves the current file with Unix style line feeds.

-All files deleted in 1-4-All are now sent to the recycle bin.

-Added color coding for comments (<!--..-->). Most useful for documents with scripts.

-Added 4 Javascripts, a detour page generation tool and the possibility to add your own scripts.

-1-4-All now uses InstallShield for installation, due to some rare cases of errors during setup.

-On first start 1-4-All automatically retrieves the paths of Netscape Navigator and Internet Explorer.

-I had to remove the support for tiff encoded images in the internal image viewer for legal reasons.

Bug fixes:

-Fixed a bug in the table dialog that didn't properly managed IE cell attributes.

-Fixed the dependency lister, that now works with unquoted links.

-Fixed a bunch  of other, mostly cosmetic bugs.

Version 0.93:

-Added a MDI interface. You can now edit multiple files at the same time.

-Added support for Internet Explorer as external HTML viewer.

-Added a Tag Wizard that lets you create tags and their attributes by double clicking.

-Added a 'Tip of the day' window.

-Changed the filelistbox to Windows 95 style.

-Added support for multimedia files for use with the embed tag.

-You can now undock the button toolbar to a floating toolbar.

-You can now edit the following existing tags: <TITLE>, <BODY>, <A HREF>, <A NAME>, <IMG>,  <FONT>, <FORM>; (Attribute values don't have to be quoted any more, so e.g. BORDER=0 and BORDER="0" will both  work fine when editing existing tags.)

-The internal image viewer now supports the following image formats: ART, BMP, CUT, DIB, EMF, GEM, GIF, HRZ, IFF, IMG, JPG, LBM, MAC, MSP, PCX, PIC, PNG, RAS, RLE, TGA, TIF, WMF, WPG; (but that doesn't mean that the user viewing your HTML page has the appropriate plug-in for all these image formats... ;-) )

-Updated all tags and attributes, especially the <A HREF>, the table and frame tags.

-Evaluation is now limited to 70 starts of the program.

-Lots of cosmetic changes.

-On- and offline registration with all major credit cards is offered now.

Bug fixes:

-Added a patch option in the preferences dialog for NT users.

Version 0.92:

-The default HTML tags (<HTML>, <BODY>, etc.) are inserted automatically in new files.

-Added 'Redo color coding' function

-Added 'Copy', 'Paste', 'External HTML preview', 'Internal HTML preview' and 'Redo color coding' to right-click editor menu.

-Added right click-menu to the internal HTML previewer (you can now leave the previewer by hitting Escape or using the right-click menu).

-The external helpfile can now be in any file format (a valid windows *.hlp file is recommended though).

-Updated (rewrote in fact) the 1-4-All help file.

-Added application launcher.

-Added right-click menu for the image previewer.

-Added full-size preview of image files.

-Added Insert/Overwrite status information to the status line.

-Changed the 'Quickstart' dialog to 'Main Attributes' dialog. You can now change the main attributes (e.g. BGCOLOR, LINK, VLINK, etc.) at all times, without re-inserting these information. 1-4-All will overwrite the old values instead.

-Added a Windows 95 style uninstall option.

-some other small changes...

Bug Fixes:

-Fixed another bug in the install program.

Known bugs and issues:

-The Undo function still doesn't work right if color coding is enabled.

Version 0.91:

Bug Fixes:

-Version 0.90 had a bug that made it impossible to install on most computers.

Known bugs and issues

-The 1-4-All helpfile is more than incomplete.


Word wrap

1-4-All's editor offers a wordwrap option that you can set by selecting "View|Word wrap" from 1-4-All's main or context menu of the editor.

Some notes about wordwrap:

Using wordwrap always means that you loose some features, e.g. doing a text search for "John Doe" in unwrapped mode might be successfull, however in wrapped mode a new line might start right after "John", seperating the two words, so that you might be unable to find this text.

If you are unsure, turn off wordwrap, at least temporary. We recommend that you always turn off word wrap before spell checking. You can configure the spelling checker to switch to unwrapped mode automatically during the spell check on the "Options" dialog of the spell checker.

Further note that search results shown in 1-4-All's message window that reference a line/row in text are always given in unwrapped coordinates. When you double click on such a search result and have word wrap enabled, 1-4-All will convert these line and row numbers in unwrapped coordinates to a line/row pair in wrapped coordinates and highlight the search text.


Color converter

You can convert comma separated RGB color values to hexadecimal values by pressing the keyboard shortcut Ctrl+Alt+C, e.g.  "17,144,255" will be converted to "#1190FF" and vice versa. When you press Ctrl+Alt+C 1-4-All will evaluate the words at the current caret position and try to find either a RGB or hexadecimal value and convert it. This will work only when the color value is in some way separated from other text, e.g. by spaces, quotes or an equality sign before the color value. If 1-4-All fails to recognize the color value you have to select the text that builds the color value and press Ctrl+Alt+C then.

In all color boxes in 1-4-All you can toggle between color names like "black" and their RGB value like #000000 by pressing CTRL.


Templates

1-4-All lets you create and use an unlimited number of HTML templates. To create a template from the current file, as you see it in your editor window, select "File|Save as template" from 1-4-All's main menu.

You can access you templates by selecting "File|New". The template window will pop up and you can preview the available templates and select your default template that will be used when you click on the "New file" button in 1-4-All.

To change you default template right click on the associated icon in the template window.

You can delete a template by selecting a template in the template window and pressing "Del". All templates are saved in the "template" directory below 1-4-All's program directory.

If you get an error message "Couldn't find template." you will have to reassign your default template. Read this to learn more.


Project Management

Project Management offers a convenient way to organize HTML documents that belong to one logical group.

The Project Management window:

Select "File|Project Management" or click on the Project Management button to view the project management window.

The first list shows the available projects you already created, the number of documents in these projects and the date of the last modification. The second list shows all documents in the selected (highlighted) project and file information about these documents.

To create a new project click on "New" and enter the name for the new project. To rename a project click on the rename button or slowly click twice on a project. To delete a project click on "delete".

The three buttons on the lower left side of this window let you add or remove documents from a project. The first button shows an open dialog that lets you add documents to a project. The second button removes the selected (highlighted) documents from a project. The third button adds all documents to the selected project that are currently open inside the editor, so you can quickly create a project from all open files.

If you want to open a project click on "Open project". The project and the documents you selected will be opened in the editor. If you selected a project, but no documents you will be asked if you want to open all or no documents in this project.

1-4-All supports multiple configurations. You can assign a configuration to a project, so that whenever you open a project its assigned configuration is automatically loaded.

To assign a configuration to a project, open the project management and use the dropdown box on the left side of the window. You can either select an existing configuration or assign "Current", what means that no configuration is loaded when you open the project.

Using project management inside the editor:

When you have a project open, 1-4-All will tell you if the current document is part of that project or not in the caption bar:

To add, remove or open documents in a project you can use the appropriate commands from 1-4-All's main menu (PM) or from the context menu of the editor.

Some options in 1-4-All are only available when a project is open, e.g. the "Search in project" option in the "Find text" dialog.


Text conversion

Besides the "Convert while typing" function that you can configure in the General settings dialog, you can always do text conversion by selecting "Tools|Text conversion..." from 1-4-All's main menu.

You can convert extended characters, like umlaut characters to their HTML equivalents and vice versa or you can convert the direction of slashes from UNIX style to DOS style and vice versa.

After selecting the type of conversion you would like to apply, specify the scope of the conversion and click on "Ok". 1-4-All will report the number of conversions.


Image size assigning Form34
Image size assigning

Using the "Image reassignment tool":

1-4-All offers a tool to quickly set all WIDTH and HEIGHT values of your image tags. To start it, select "Tools|Reassign image sizes". 1-4-All will then start to scan your document(s) for <IMG> tags and list all found images in a dialog. You can then select the images you would like to reassign, so you are able to exclude some images, like images used for spacing. Click "Ok" and 1-4-All will add or correct the WIDTH and HEIGHT values for the selected images.

Why you should set dimensions with embedded images:

When a browser loads a HTML page it will show parts of the page as soon as it has all information about the text flow in a paragraph. On a page with embedded images that holds no information about the dimensions of the graphics (no WIDTH and HEIGHT values set), the browser has to download the whole image before it knows its size and the text flow in that paragraph. With dimensions set, the browser can show all text and then load each image afterwards, so the reader doesn't have to wait for the image download to start reading your page.


Find Text Form43
Find text

You can find an occurrence of a combination of characters in your documents by selecting "Search|Find" from 1-4-All's main menu or by clicking on the "Find" button just below the main menu.

To find text in the current document or in selected text in the current document select the "Find" page in the "Find" dialog. To find text in files select the "Find in files" page.

Find (in current document):

First enter a search term or select one from the given combobox (1-4-All remembers your last ten search terms). You can specify if you would like to do a case sensitive or insensitive search and if the search term has to be a whole word. Further you can set the search direction and the origin of your search. Finally you have to tell 1-4-All if you want to search in the selected text only or in the whole document. If there is more than one line selected when you open the "Find text" dialog, 1-4-All will set the scope of the search to "Selected text" as default. Click on "Ok" to start the search.

If 1-4-All found the search term in the current document it will be highlighted, otherwise you will get a message "Search term not found.". If you want to do another search with the same settings you can press the keyboard shortcut F3.

Find in files:

First enter a search term or select one from the given combobox (1-4-All remembers your last ten search terms). You can specify if you would like to do a case sensitive or insensitive search and if the search term has be a whole word. Finally specify where you would like to find the search term, either in all open files, all files in the current project (this option is only available when a project is open) or all files in a directory.

If you want to search in a directory, select a directory to search and specify if you want to include all subdirectories. Only regular paths are possible here, e.g. you can't specify "My Computer" here.

When you click on "Ok" 1-4-All will start the search and once finished, display the search result in the message view. You can double-click on a line in the message view to open a file where the search term was found. If you edit a document after a search, the result line may have become outdated and you might get a message that the search term could not be found.

Further note that search results shown in 1-4-All's message window that reference a line/row in text are always given in unwrapped coordinates. When you double click on such a search result and have word wrap enabled, 1-4-All will convert these line and row numbers in unwrapped coordinates to a line/row pair in wrapped coordinates and highlight the search text.

Replace text function


Replace Text Form45
Replacing text

You can replace an occurrence of a combination of characters in your documents with another combination of characters by selecting "Search|Replace" from 1-4-All's main menu or by clicking on the "Replace" button just below the main menu.

To replace text in the current document, in selected text in the current document or in all open files select the "Replace" page in the "Replace" dialog. To replace text in files select the "Replace in files" page.

Replace:

First enter a search term and the replacement text or select them from the given comboboxes (1-4-All remembers your last ten search and replace terms). You can specify if you would like do a case sensitive or insensitive replace and if the search term has be a whole word to be replaced. Select "Prompt on replace" to confirm the replacement(s). Further you can set the search direction and the origin of the replacement. Finally you have to tell 1-4-All if you want to replace in the selected text only, in the whole document or in all open documents. If there is more than one line selected when you open the "Replace text" dialog, 1-4-All will set the scope of the replacement to "Selected text" as default. Click on "Ok" to do one replacement or "Replace All" to replace all occurrences of the search term.

Replace in files:

First enter a search term and the replacement text or select them from the given comboboxes (1-4-All remembers your last ten search and replace terms). You can specify if you would like do a case sensitive or insensitive replace and if the search term has be a whole word to be replaced. Select "Confirm files" to get a list of files that will be processed before the replacement starts. Finally specify where you would like to replace the search term with the replacement term, either in all files in the current project (this option is only available when a project is open) or all files in a directory. If you want to search in a directory, select a directory to search and specify if you want to include all subdirectories.

When you click on "Ok" 1-4-All will create a list of files that will be processed and if you selected "Confirm files" you will be able to exclude certain files from this list. Afterwards the replacements in the files are done and the number of replacements in each file is displayed in the message view. You can double-click on a line in the message view to open a file where the search term was replaced.

Note: If there is a file on the list of files to process that is currently open in 1-4-All, the replacement will be done in the editor and not in the file on disk. Save the document to apply the change to the file on disk.

Find text function


Imageview Form48
The integrated image viewer

1-4-All comes with an integrated image viewer. Double-click on an image file in the filelist on the lower left side of 1-4-All's main window to view an image. Select "Thumbnails..." from the context menu of the filelist to view all images in the current directory as thumbnails.

To load another image when the image viewer is already active, select it in the filelist in the main window or use the following keyboard shortcuts:

Up:	Previous image	Home:	First image

Down:	Next image	End:	Last image

When viewing thumbnail, you can get further information about an image by clicking on it.


HTML Reference Library

The HTML Reference Library is an excellent HTML documentation in Windows Helpfile format. 1-4-All has build-in special support for version 3.0 of this Helpfile, like context sensitive jumps (e.g. pressing F2 with the link dialog active will open the chapter about the <A HREF> tag in this helpfile). The HTML Reference Library is available for free at: http://subnet.virtual-pc.com/~le387818/

Configure 1-4-All for using the HTML Reference Library in the General settings dialog.

The HTML Reference Library is copyright by Stephen Le Hunte (http://subnet.virtual-pc.com/~le387818/).

External HTML Helpfiles


Selfhtml Form4
Selfhtml

Selfhtml is a great documentation on HTML in german language and in HTML file format. 1-4-All has special built-in support for version 7.0 of this documentation, like context sensitive jumps (e.g. pressing F2 with the link dialog active will open the chapter about the <A HREF> tag in Selfhtml) and an integrated viewer for this documentation.

Selfhtml is available for free at: http://www.netzwelt.com/selfhtml/

Configure 1-4-All for using Selfhtml in the general settings dialog.

Further we have a special built of 1-4-All that includes Selfhtml available at the 1-4-All Homepage.

If you already have Selfhtml on your disk, there is no need to download this larger build, since there are no other differences to the standard build and you can configure 1-4-All to use the existing copy of Selfhtml. You can also download Selfhtml later and configure 1-4-All to use it.

Special thanks to Stefan Münz for his kind cooperation!

Selfhtml is copyright by Stefan Münz (http://www.netzwelt.com/selfhtml/).

External HTML Helpfiles


Internet Explorer WebObject could not be created

The Internet Explorer WebObject could not be created. To use the Internet Explorer as an internal viewer in 1-4-All you will need Internet Explorer version 3.01 (that is build 1215 in the About box of Internet Explorer) or later installed on your computer.

Read more about internal HMTL viewers in 1-4-All here.


Strip this tag

By pressing the keyboard shortcut Shift+Ctrl+Del or by selecting "Strip this tag" from the context menu of the editor you can delete the tag at the current caret position, including the closing tag.

E.g. if the caret is inside a <A HREF ...> tag, "Strip this tag" will delete this tag and the next closing tag </A>.


find result not found
Search term could not be located

Search results produced by a search in files may become outdated when you have edited files in the meantime. If 1-4-All cannot locate the search term at the previous position it will try to find it beyond this position. If it doesn't find it there either, it will try to find it before the previous position. If even this fails you will get a message that the search term could not be located.

You may need to repeat your search.


Unsupported file type

You tried to open a file with an extension that is not supported by 1-4-All. You can set the supported file extensions in the general settings dialog. Please note that you should only add file extensions of plain text files to the list of supported file types.

For an explanation how 1-4-All handles file extensions please read this.


external help HTML files
External HTML help files

1-4-All does not come with a help file on the HTML language. It does however support external (3rd party) helpfiles. You can configure 1-4-All to use your favorite helpfile in the general settings dialog.

Once configured, you can start your helpfile by pressing F2.

1-4-All has special support for version 3.0 of the HTML Reference Library, version 1.6 of Wilbur and  for version 6.1 of Selfhtml, like context sensitive jumps.


template file does not exist...
Template file does not exist

This error message usually occurs when you reinstalled 1-4-All or upgraded to a new version and installed in a different directory. To fix this, select "File|New..." from 1-4-All's main menu and reassign the default template by right clicking on a template icon.


How extensions work in 1-4-All

A common problem in 1-4-All are double entries in the filelist, caused by 1-4-All's extension handling. If you set the extension "htm" in the general settings dialog, 1-4-All will add a wildcard to this extension, so the result is "htm*". This means that having "htm" in the list of file extensions will display *.htm and *.html files. If you would now add "html" to the list, *.html files would be displayed twice.

Of course, the same applies to other extension; "htm" is just an example here.


delete body tag? (frames)
Delete body tag?

When you use the frame wizard, 1-4-All might ask you if you want to delete the <BODY> tag in the current document. A frame document usually has no <BODY> tag, since the <BODY> tags of the referenced frames hold all necessary information about colors, background images, etc.. The exception to this rule is a <BODY> tag in the <NOFRAMES> section of a frame document. If you don't have such a section it's a good idea to let 1-4-All automatically delete the <BODY> tag.


Pub wizard
Publishing wizard

The integrated publishing wizard lets you upload your HTML documents and other files to your webserver by FTP (File Transfer Protocol). To start the publishing wizard select "Tools||Publishing wizard...".

Please note that the entries for local and remote root directory are case sensitive!

Session

A session holds your settings for uploading to a webserver, so you can always access your previously used settings. To create a new session, click "New" in the publishing wizard window and enter a name for the new session. All information that you enter on the "Server information" page will be saved under the name of this session.

To delete a session click on "Delete".

Server information

The "Server information" holds the necessary data about the webserver you want to upload to, about the directory structure on your local disk and on the webserver, your login and password and overwrite and deletion options.

Host address: The host address for the ftp server of your webserver. You can either use an IP number (e.g. 187.231.17.11) or a name (ftp.domain.com) here.

Port: The port number for the ftp server of your webserver. The default value for ftp servers is 21.

Username: Your account username.

Password: Your account password. Passwords are stored unencrypted on your disk. Leave this field blank on an insecure computer.

Local root directory: The local root directory on your hard disk used to determine the target directories for your files on your webserver. See below for more information about target directories. This entry is case sensitive!

Remote root directory: The remote root directory on your webserver used to determine the target directories for your files on your webserver. You can use an absolute or relative path here. See below for more information about target directories. This entry is case sensitive!

Overwrite options: Lets you set if you want to overwrite files that already exist on the webserver.

Delete all files: If this option is checked, all files in directories on your webserver that are accessed by the publishing wizard will be deleted before uploading to this directory starts. Handle this option with care.

Don't ask for confirmation: If checked, 1-4-All will not ask for confirmation when you select "Overwrite" or "Delete all files".

Put all files in initial directory: This option is usefull when uploading files to Geocities and similiar services. If checked, all files will be uploaded to the initial directory. The settings for "Local root directory" and "Remote root directory" will be ignored. Further note that the publishing wizard will not retrieve a directory listing before uploadind, so existing files will be overwritten without confirmation!

What to publish

On this page you can set the documents you want to publish. You can either add single files (lower part of this page) or you can add all files in a project (upper part of this page).

Autoinclude: With one of these options set, 1-4-All will evaluate each document that you add to the list of files for publishing and automatically add HTML files, image files or other files that are referenced from this document to the list of files for publishing. Please note that this function works recursive, what means that e.g. adding your index.htm to the publishing list with all three autoinclude options set, will actually add all needed files to the publishing list. Depending on the number of refereed files in your documents this function might take a while.

Where to publish

This page shows the list of files that you want to publish. On the left side you see the files on your local disk with their full paths. On the right side you see the full paths for these files on your webserver, as determined by your "Local root directory" and "Remote root directory" settings. You can manually edit the list of files, but you should do this just before starting to upload. Otherwise your changes may be overwritten.

How target directories are determined

Example:	Local root directory:	D:\MyHTMLs\

Remote root directory:	public_html

The local file on your hard disk D:\MyHTMLs\index.html would be uploaded to ~/public_html/index.html, where "~" stands for the start directory. You can also enter an absolute path for the remote directory, e.g. /users/me/public_html.

To determine the target directory for each file in the filelist, 1-4-All will delete the "Local root directory" setting from each filename and then add the result to the "Remote root directory" setting.

Play around with the "Local root directory" and "Remote root directory" setting on the "Where to publish" page of the publishing wizard and click "Update list" for a deeper understanding.


xnew
Creates a new file and loads the default HTML template in it.


xopen
Opens an existing file.


xprint
Prints the current document.


xsave
Saves the current document.


xSaveall
Saves all open documents.


xCopy
Copies the selected text from the current document to the Windows clipboard.


xPaste
Pastes test from the Windows clipboard into the current document.


xPm
Opens the project management.


xsearch
Opens the search dialog that lets you search for strings.


xreplace
Opens the replace dialog that lets you replace text.


xindent
Indents the selected text.


xunindent
Unindents the selected text.


xcaption
The titlebar. Shows you the filename of the current file and, if you have a project open, if the current file is part of the project.


xsmallwindows
Shows or hides the file panel on the left side of the main window.


xbigwindow
Switches between a big and small edit window.


xexternal
Shows the current document in the external HTML viewer. Set your external viewers in the general settings dialog. Left clicking will show the current document in the default, right clicking in the secondary external HTML viewer.


xinternal
Shows the current document in the internal HTML viewer. Set your internal viewer in the  general settings dialog.


xdirlist
The directory list. Let's you browse through the directories on your hard disks. The style of the directory list is either the old Windows 3.1 style or the new Window Explorer style (set it in the General settings  dialog).


xlastsave
Shows you when the current document was last saved.


xfilemode
Shows you the file mode of the current document. Double-click to toggle the filemode from UNIX to ANSI or vice versa.


File modes

1-4-All supports ANSI and UNIX file mode. The file mode of the current document is displayed in 1-4-All's statusbar. Set the filemode by double-clicking on the statusbar or by selecting "Edit|File mode" from 1-4-All's main menu. To set the default file mode for new documents use the general settings dialog.

Working in UNIX file mode will slow down the Editor a bit, so you might consider to generally work in ANSI mode and switch to UNIX mode just before publishing your documents.


xposition
Shows the position of the cursor caret in the format "line:column".


xfilelist
The file list shows you the relevant (relevant for HTML authors) files in the current directory, depending on their file extension. You can define which extensions should be shown in the general settings dialog. Right click on the file list to toggle viewing options or to copy, move or delete a file.


xinsert
Shows the edit mode. Double-click to toggle the file mode from Insert to Overwrite and vice versa.


xsresult
The message window.  Search and replace results and error messages are shown here.


xtabs
Clicking on these tabs lets you switch between your open documents. Modified (unsaved) documents have a red caption.


xeditwin
The edit window. Here's the place where you type in the HTML code or 1-4-All inserts code. This is also the place where the internal HTML viewer will show up. This item has a context menu that pops up when you right click on it.


xbuttonbar
The button bar holds a variety of buttons that either insert tags directly or start dialogs or wizards for tag creation. You can undock the button bar right clicking on this item.


xbutfunc
These buttons invoke basic functions of 1-4-All, like open, save, copy, paste, project management, etc..


xleft
Clicking on this button would start the default external HTML viewer and load the current document into it. Rightclicking on this button would use the secondary external HTML viewer.


xright
Clicking on this button would show the current document in 1-4-All's internal HTML viewer. If you click on this button again, you will get back to the editor.